# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.experiment_api import ExperimentApi  # noqa: E501
from swagger_client.rest import ApiException


class TestExperimentApi(unittest.TestCase):
    """ExperimentApi unit test stubs"""

    def setUp(self):
        self.api = ExperimentApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_add_experimentversion(self):
        """Test case for add_experimentversion

        Add experiment version  # noqa: E501
        """
        pass

    def test_create_experiment_dag(self):
        """Test case for create_experiment_dag

        create experiment dag  # noqa: E501
        """
        pass

    def test_delete_experiment_by_id(self):
        """Test case for delete_experiment_by_id

        delete experiment  # noqa: E501
        """
        pass

    def test_edit_experiment_by_id(self):
        """Test case for edit_experiment_by_id

        edit experiment name  # noqa: E501
        """
        pass

    def test_get_experiment_algorithms(self):
        """Test case for get_experiment_algorithms

        get experiment algorithms  # noqa: E501
        """
        pass

    def test_get_experiment_by_id(self):
        """Test case for get_experiment_by_id

        get experiment  # noqa: E501
        """
        pass

    def test_get_experiment_feature_engineerings(self):
        """Test case for get_experiment_feature_engineerings

        get experiment algorithms  # noqa: E501
        """
        pass

    def test_get_experiment_metrcis(self):
        """Test case for get_experiment_metrcis

        get experiment metrics  # noqa: E501
        """
        pass

    def test_get_experiment_versions_by_experiment(self):
        """Test case for get_experiment_versions_by_experiment

        get experiment's versions  # noqa: E501
        """
        pass

    def test_get_models_by_experiment(self):
        """Test case for get_models_by_experiment

        get experiment's models  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
